Přeskočit na hlavní obsah

Tento prohlížeč se už nepodporuje.

Upgradujte na Microsoft Edge, abyste mohli využívat nejnovější funkce, aktualizace zabezpečení a technickou podporu.

Stáhnout Microsoft Edge Další informace o Internet Exploreru a Microsoft Edgi
microsoft-foundry.rest.security.o-auth2-auth

Routines

Queue an asynchronous routine dispatch

POST /routines/{routine_name}:dispatch_async

Queues an asynchronous dispatch for the specified routine.

Parametry záhlaví

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Routines=V2Preview

Parametry cesty

routine_name string vyžadováno

The unique name of the routine.

Parametry dotazů

api-version string vyžadováno

The API version to use for this operation.

Text požadavku

Content-Type: application/json
payload invoke_agent_responses_api | invoke_agent_invocations_api

Base model for a manual dispatch payload.

Jeden z následujících:
invoke_agent_responses_api InvokeAgentResponsesApiDispatchPayload

A manual payload used to test a responses API routine dispatch.

type enum vyžadováno

The manual dispatch payload type.

invoke_agent_responses_api
input InvokeAgentResponsesApiDispatchPayload vyžadováno

The JSON value sent as the complete downstream responses input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

invoke_agent_invocations_api InvokeAgentInvocationsApiDispatchPayload

A manual payload used to test an invocations API routine dispatch.

type enum vyžadováno

The manual dispatch payload type.

invoke_agent_invocations_api
input InvokeAgentInvocationsApiDispatchPayload vyžadováno

The JSON value sent as the complete downstream invocations input. The value is passed through as-is and can be an object, string, number, boolean, array, or null.

Odpovědi

The request has succeeded.

Text

Content-Type: application/json
dispatch_id string

The dispatch identifier created for the routine dispatch.

action_correlation_id string

A downstream action correlation identifier, when available.

task_id string

A workspace task identifier created for the dispatch, when available.

Client error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Text

Content-Type: application/json
error OpenAI.Error vyžadováno
code string | null vyžadováno
message string vyžadováno
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Některá z následujících možností:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string vyžadováno

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Žádost

POST /routines/{routine_name}:dispatch_async HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
cs-cz
Vaše volby ochrany osobních údajů
  • Právní omezení AI
  • Předchozí verze
  • Blog
  • Přispět
  • Ochrana osobních údajů
  • Ochrana osobních zdravotních údajů spotřebitelů
  • Podmínky použití
  • Ochranné známky
  • © Microsoft 2026